org.apache.tamaya.clsupport

## Class CLAwareConfigurationContext

- java.lang.Object
- - org.apache.tamaya.clsupport.CLAwareConfigurationContext

- All Implemented Interfaces:
    org.apache.tamaya.spi.ConfigurationContext

      @Priority(value=100)
      public class CLAwareConfigurationContext
      extends Object
      implements org.apache.tamaya.spi.ConfigurationContext

  Default Implementation of a simple ConfigurationContext.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLAwareConfigurationContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `addPropertyConverter(org.apache.tamaya.TypeLiteral<T> typeToConvert, org.apache.tamaya.spi.PropertyConverter<T> propertyConverter)`
    `void` | `addPropertySources(org.apache.tamaya.spi.PropertySource... propertySourcesToAdd)`
    `Map<org.apache.tamaya.TypeLiteral<?>,List<org.apache.tamaya.spi.PropertyConverter<?>>>` | `getPropertyConverters()`
    `<T> List<org.apache.tamaya.spi.PropertyConverter<T>>` | `getPropertyConverters(org.apache.tamaya.TypeLiteral<T> targetType)`
    `List<org.apache.tamaya.spi.PropertyFilter>` | `getPropertyFilters()`
    `List<org.apache.tamaya.spi.PropertySource>` | `getPropertySources()`
    `org.apache.tamaya.spi.PropertyValueCombinationPolicy` | `getPropertyValueCombinationPolicy()`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `toBuilder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLAwareConfigurationContext

          public CLAwareConfigurationContext()

  - ### Method Detail

    - #### addPropertySources

          public void addPropertySources(org.apache.tamaya.spi.PropertySource... propertySourcesToAdd)

      Specified by:
        `addPropertySources` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### getPropertySources

          public List<org.apache.tamaya.spi.PropertySource> getPropertySources()

      Specified by:
        `getPropertySources` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### addPropertyConverter

          public <T> void addPropertyConverter(org.apache.tamaya.TypeLiteral<T> typeToConvert,
                                      org.apache.tamaya.spi.PropertyConverter<T> propertyConverter)

      Specified by:
        `addPropertyConverter` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### getPropertyConverters

          public Map<org.apache.tamaya.TypeLiteral<?>,List<org.apache.tamaya.spi.PropertyConverter<?>>> getPropertyConverters()

      Specified by:
        `getPropertyConverters` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### getPropertyConverters

          public <T> List<org.apache.tamaya.spi.PropertyConverter<T>> getPropertyConverters(org.apache.tamaya.TypeLiteral<T> targetType)

      Specified by:
        `getPropertyConverters` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### getPropertyFilters

          public List<org.apache.tamaya.spi.PropertyFilter> getPropertyFilters()

      Specified by:
        `getPropertyFilters` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### getPropertyValueCombinationPolicy

          public org.apache.tamaya.spi.PropertyValueCombinationPolicy getPropertyValueCombinationPolicy()

      Specified by:
        `getPropertyValueCombinationPolicy` in interface `org.apache.tamaya.spi.ConfigurationContext`

    - #### toBuilder

          public org.apache.tamaya.spi.ConfigurationContextBuilder toBuilder()

      Specified by:
        `toBuilder` in interface `org.apache.tamaya.spi.ConfigurationContext`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.